/*
*
|  Page Name       : recent.css
|  Description     : css created for additional styles
|  Created by      : kaz
|  Date Created    : 2023
|  Last Update by  : kaz
|  Last update     : August 2,2023
*
*/

/** Default Styles */

/** header big event button */
.link-glow,.link-glow>span{display:inline-flex;font-size:14px;gap:5px;min-width:110px;max-width:165px;color:#fff}
.link-glow::after,.link-glow::before{content:"";position:absolute;top:0;left:0;width:100%;height:100%;opacity:1;border-radius:5px;}
.link-glow{position:relative;justify-content:center;align-items:center;width:160px;height:40px;border-radius:5px;}
.link-glow>span{position:absolute;top:2px;left:3px;right:2px;bottom:2px;justify-content:center;align-items:center;text-align:center;background:#1d1f2b;transition:.5s;border-radius:5px;}
.link-glow>span::before{content:"";position:absolute;top:0;left:0;width:100%;height:50%;background:rgba(255,255,255,.1);z-index:10;border-radius:5px;}
.link-glow::before{background:linear-gradient(45deg,#c0392b,#f39c12,#f1c40f,#2ecc71,#3498db,#2980b9,#9b59b6,#8e44ad,#c0392b,#f39c12,#f1c40f,#2ecc71,#3498db,#2980b9,#9b59b6,#8e44ad);background-size:400%;transition:2.5s;animation:20s linear infinite animateBorder}
.link-glow::after{background-size:400%;filter:blur(20px);transition:.5s;animation:20s infinite animateBorder}
@keyframes animateBorder {0%,100%{background-position:0 0}50%{background-position:400% 0}}

.big-event-header-mob .link-glow { display: none; } /** Hide in Desktop */

/** big event */
#bigevent > .inner.image-wrapper {display: flex;flex-direction: column;gap: 10px;width: 100%;}
#bigevent > .inner.image-wrapper > .btn-wrapper {width: 100%;max-width: 100%;display: flex;justify-content: center;align-items: center;}
#bigevent > .inner.image-wrapper > .btn-wrapper > a {font-size: 1.5vw;font-weight: 400;text-align: center;white-space: nowrap;vertical-align: middle;}
#bigevent > .inner.image-wrapper > .btn-wrapper > a > span.event-txt {text-shadow:0 0 0.2rem #f40,0 0 0.4rem #f40,0 0 0.6rem #f40,0 0 0.8rem #f40,0 0 1rem #f40;}
.link-glow-large,.link-glow-large>span{display:inline-flex;font-size:2.5vw;gap:5px;color:#fff}
.link-glow-large::after,.link-glow-large::before{content:"";position:absolute;top:0;left:0;width:100%;height:100%;opacity:1;border-radius:5px;}
.link-glow-large{position:relative;justify-content:center;align-items:center;width:800px;height:100px;border-radius:5px;}
.link-glow-large>span{position:absolute;top:5px;left:5px;right:5px;bottom:5px;justify-content:center;align-items:center;text-align:center;background:#1d1f2b;transition:.5s;border-radius:5px;}
.link-glow-large>span::before{content:"";position:absolute;top:0;left:0;width:100%;height:50%;background:rgba(255,255,255,.1);z-index:10;border-radius:5px;}
.link-glow-large::before{background:linear-gradient(45deg,#c0392b,#f39c12,#f1c40f,#2ecc71,#3498db,#2980b9,#9b59b6,#8e44ad,#c0392b,#f39c12,#f1c40f,#2ecc71,#3498db,#2980b9,#9b59b6,#8e44ad);background-size:400%;transition:2.5s;animation:20s linear infinite animateBorder}
.link-glow-large::after{background-size:400%;filter:blur(20px);transition:.5s;animation:20s infinite animateBorder}
@keyframes animateBorder {0%,100%{background-position:0 0}50%{background-position:400% 0}}




/** ========================================================================================================================================== **/

/** Media Queries */

@media screen and (max-width: 370px) { 
    .big-event-header-mob {display: none;} /** Avoid overlap */
    .big-event-header-mob.logged-in {display: none;}  /** Avoid overlap */
    .big-event-header-mob.logged-out {display: none;}  /** Avoid overlap */
}

@media screen and (max-width: 720px) {
    /** big event */
    .link-glow-large, .link-glow-large > span { font-size: 5.5vw; }
    .big-event-header-mob.logged-in {margin-right: 10px;}
    .big-event-header-mob.logged-out {position: absolute; left: 35%; transform: translateX(-35%);}
    .big-event-header-mob .link-glow { display:flex;justify-content:center;align-items:center;vertical-align:middle;width:120px;height:30px;min-width:120px;max-width:120px; } /** Display on Header Mobile Center */
    .big-event-header-mob .link-glow,.big-event-header-mob .link-glow > span {font-size: 10px; white-space: nowrap; }
}

@media screen and (min-width: 2000px) { 
    .link-glow-large, .link-glow-large > span, #bigevent > .inner.image-wrapper > .btn-wrapper > a {
        font-size: 2rem;
    }
}